X300的移动版能用受限驱动的问题

GnomeShell/Unity/Beryl/AiGLX/XGL/Compiz Fusion
回复
头像
superjian1987
帖子: 74
注册时间: 2007-01-12 12:24
来自: 广州
送出感谢: 0
接收感谢: 0
联系:

X300的移动版能用受限驱动的问题

#1

帖子 superjian1987 » 2007-08-01 12:57

我的电脑是hp nx6130笔记本,用了受限驱动后不用配置都能进行fglrxinfo 和$ glxinfo | grep render 测试都正确。后来装了Compiz Fusion,但想用compiz --replace 起动3D桌面时出现:
loveyoutty@loveyoutty-laptop:~$ compiz --replace Fatal: Failed test: texture_from_pixmap support
Checks indicate that it's impossible to start compiz on your system.

这是出了什么问题啊,我是用:http://forum.ubuntu.org.cn/about61686.html&sid=0425ecf582177ffc6327744fda61219e
这里方法安装的。
虽然Compiz Fusion起动不了,但fglrxinfo 和$ glxinfo | grep render 测试还是正确!! :?: why
请高手们指点指点 :lol:
Looking out of the window, staying out of the sun

So I chose freedom
kane_9909
帖子: 88
注册时间: 2007-05-09 14:34
送出感谢: 0
接收感谢: 0

#2

帖子 kane_9909 » 2007-08-01 17:08

问一下楼主是在XGL下面还是AIGLX?
头像
superjian1987
帖子: 74
注册时间: 2007-01-12 12:24
来自: 广州
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 superjian1987 » 2007-08-01 17:29

kane_9909 写了:问一下楼主是在XGL下面还是AIGLX?


fglrx驱动(即官方闭源驱动)暂时不支持aiglx(因为不支持composite)
Looking out of the window, staying out of the sun

So I chose freedom
kane_9909
帖子: 88
注册时间: 2007-05-09 14:34
送出感谢: 0
接收感谢: 0

#4

帖子 kane_9909 » 2007-08-01 18:30

I know that,那么lz是在XGL下面了。render那个是no是吧
kane_9909
帖子: 88
注册时间: 2007-05-09 14:34
送出感谢: 0
接收感谢: 0

#5

帖子 kane_9909 » 2007-08-01 18:34

转一个看lz能用得着不
Howto: Feisty + ATI 安装 Compiz Fusion
2007年06月27日 星期三

Jason@Zhang:~$ compiz –replace
Fatal: Failed test: texture_from_pixmap support
Checks indicate that it’s impossible to start compiz on your system.

今天装驱动后出现的错误, 原因是XGL未安装-,-

这里再说一下 Feisty + ATI 环境下 Compiz Fusion 完整的安装方法

更新系统:

$ sudo aptitude update
$ sudo aptitude upgrade

安装XGL:

sudo aptitude install xserver-xgl

添加XGL登录会话:

sudo gedit /usr/local/bin/startxgl.sh

添加以下内容:

#!/bin/sh
Xgl -fullscreen :1 -ac -br -accel glx:pbuffer -accel xv:pbuffer &
sleep 4
export DISPLAY=:1
exec gnome-session

接着添加会话条目:

sudo mkdir -p /etc/X11/sessions
sudo gedit /etc/X11/sessions/xgl.desktop

内容为:

[Desktop Entry]
Encoding=UTF-8
Name=Xgl
Exec=/usr/local/bin/startxgl.sh
Icon=
Type=Application

接着移除compiz-core和desktop-effects

sudo aptitude remove compiz-core desktop-effects

这同时也会移除Ubuntu-desktop,不过不用担心,一会将会被重新安装.

编辑 /etc/apt/sources.list ,将下面的内容加入:

deb http://download.tuxfamily.org/3v1deb feisty eyecandy
deb-src http://download.tuxfamily.org/3v1deb feisty eyecandy

添加key:

KEY=81836EBF; gpg –keyserver subkeys.pgp.net –recv $KEY && gpg –export –armor $KEY | sudo apt-key add -

更新系统:

sudo aptitude update

安装Compiz , Compiz Config 和 Compiz plugins:

sudo aptitude install compiz
sudo aptitude install compizconfig-settings-manager
sudo aptitude install libcompizconfig-backend-gconf
sudo aptitude install compiz-fusion-plugins-extra compiz-fusion-plugins-main compiz-fusion-plugins-unsupported

现在你可以登出再登入XGL,启动compiz:

compiz –replace
头像
superjian1987
帖子: 74
注册时间: 2007-01-12 12:24
来自: 广州
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 superjian1987 » 2007-08-01 18:56

你的意思是用fglrx驱动(即官方闭源驱动)的话一定要装上XGL??我记起我的确没有安装XGL.是这样吗?

只装ATI驱动和Compiz Fusion不行吗?如果可以的话,装XGL会不会便稳定吗?

我只是个小菜啊!
上次由 superjian1987 在 2007-08-01 19:04,总共编辑 1 次。
Looking out of the window, staying out of the sun

So I chose freedom
kane_9909
帖子: 88
注册时间: 2007-05-09 14:34
送出感谢: 0
接收感谢: 0

#7

帖子 kane_9909 » 2007-08-01 19:03

你要用CF的话最好用那个,在A卡下。在AIGlX下似乎问题比较多,并且现在的驱动(闭源)没有明确说支持。
头像
superjian1987
帖子: 74
注册时间: 2007-01-12 12:24
来自: 广州
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 superjian1987 » 2007-08-01 19:07

kane_9909 写了:你要用CF的话最好用那个,在A卡下。在AIGlX下似乎问题比较多,并且现在的驱动(闭源)没有明确说支持。


基本明白,谢谢 :D
Looking out of the window, staying out of the sun

So I chose freedom
chenhao633
帖子: 3
注册时间: 2007-08-17 18:05
送出感谢: 0
接收感谢: 0

我遇到同样的问题

#9

帖子 chenhao633 » 2008-01-10 21:26

楼主这个问题如何解决的,谢谢,我的本和你的型号一样,我也安装了xul,但是在安装xul按照网上的教程输出一个fl**info,忘了怎么拼了,然后看到的信息是*mse,而不是他们说的正确的ATI之类的,是说我显卡驱动没装好么?谢谢,后面的xul和FC我都装了。登录的时候能选,但是一进去就花屏了。谢谢各位告诉我一下
回复

回到 “桌面特效”